Subject: Re: [Jmap] Murray Kucherawy's No Objection on draft-ietf-jmap-mdn-15: (with COMMENT)

From: Raphaël Ouazana <[email-masked]>
Date: Thu, 10 Dec 2020 19:24:32 +0100

> I agree that we should simply spell out "identifier", and I strongly
> encourage that change.
As told, I prefer to keep "id" because RFC8620 and RF8621 use almost 
only this term.

---

From: Raphaël Ouazana <[email-masked]>
Date: Thu, 10 Dec 2020 19:24:37 +0100

> There are several places in the document where "header" should be changed to
> "header field".
Done
>
> In Section 2.1, I think this could be a bit clearer:
>
> OLD:
>
> The following already registered SetError would mean:
>
> NEW:
>
> In this context, the existing SetError values defined in [reference] are
> interpreted as follows:
Done
>
> In Sections 2.1 and 2.2:
>
> This is totally a personal nit, and you're free to ignore me, but since I keep
> tripping on it I'll mention it: In various places, "id" is used as a word
> rather than an initialism, as in "The id of the account to use."  I keep
> reading this as the English term from psychoanalysis rather than a truncation
> of "identifier".  I'd probably be happier if the full word was used.  Also, in
> the first bullet of Section 2, it's capitalized as "Id"; we should probably be
> consistent.
"id" is used everywhere in the RFC8620 and RFC8621 so I prefer to keep 
it for consistency. I have replaced some "Id" which should mean the Id 
data type by "id" where appropriate.
>
> In Section 3:
>
> a) s/guaranty/guarantee/ (multiple instances)
Not fixing it, as it has the old meaning and it's taken from an example 
of RFC8098.
>
> b) There's an extension in Section 3.1 starting with "X-" that should probably
> be revisited given BCP 178.
Fixed;